Bug 617202 - RFE: Ability to create an alert definition programmatically via CLI
Summary: RFE: Ability to create an alert definition programmatically via CLI
Status: ASSIGNED
Alias: None
Product: RHQ Project
Classification: Other
Component: CLI   
(Show other bugs)
Version: 4.0.0
Hardware: All
OS: All
high
high vote
Target Milestone: ---
: ---
Assignee: Michael Burman
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords: FutureFeature
: 665089 (view as bug list)
Depends On:
Blocks: 970233
TreeView+ depends on / blocked
 
Reported: 2010-07-22 13:32 UTC by kamenchuk
Modified: 2015-11-02 00:56 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 970233 (view as bug list)
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description kamenchuk 2010-07-22 13:32:03 UTC
Need an option to create alert via CLI

For a large-scale system it is vital to be able to automate all the steps required to set up a new node. One of such steps is creation of alerts. Currently this action has to be done manually via web UI which is not suitable.

Comment 1 John Mazzitelli 2011-01-06 14:02:53 UTC
*** Bug 665089 has been marked as a duplicate of this bug. ***

Comment 2 Jay Shaughnessy 2012-04-10 13:49:19 UTC
Just to be clear, this is a request to create alert definitions, not to inject
alerts. I updated the title.

Comment 3 Nabeel Saad 2012-11-26 22:34:21 UTC
What's the current planning for this bug given that it's been open since 2010?  It is a fairly important feature... and allows us to say to customers that they can do everything via the CLI that they can do through the GUI...

Comment 4 Jay Shaughnessy 2014-06-17 21:13:56 UTC
This is still a goal.


Note You need to log in before you can comment on or make changes to this bug.